### Function

# Gio dbus_address_get_stream_finish

since: 2.26

#### Declaration [src]

    GIOStream*
    g_dbus_address_get_stream_finish (
      GAsyncResult* res,
      gchar** out_guid,
      GError** error
    )

#### Description [src]

Finishes an operation started with g_dbus_address_get_stream().

A server is not required to set a GUID, so `out_guid` may be set to `NULL` even on success.

Available since: 2.26

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` obtained from the GAsyncReadyCallback passed to g_dbus_address_get_stream().

  The data is owned by the caller of the function.

`out_guid`

  Type: `gchar**`

  `NULL` or return location to store the GUID extracted from `address`, if any.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStream`

A `GIOStream` or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.